Pessoal, baixei a ultima versao do phpMyAdmin (2.7.0-pl2) e funcionou normal... mas num entendi ainda o erro que ta dando ao executar o mysql_install_db. Mas o importante é que ta funcionando legal agora.

Obrigado pelas respostas.